@import "../../../../../scss/variables.scss";
@import "../../../../../../node_modules/bulma/sass/utilities/_all";

span {
  color: $grey-dark-color;
}

.service-name-column span {
  color: $grey-dark-color;
  text-transform: uppercase;
}

i {
  cursor: pointer;
  color: $grey-dark-color;
}

a {
  font-size: 0.875rem;
}

.vcenter-column {
  align-self: center;
}

.is-checkradio {
  display: none;
}

.column-name {
  text-transform: uppercase;
  color: $grey-dark-color;
}

.is-checkradio[type="checkbox"] + label {
  line-height: 0;
}

.is-checkradio[type="checkbox"] + label::before,
.is-checkradio[type="checkbox"] + label::after {
  left: 0;
  right: 0;
  margin-left: auto;
  margin-right: auto;
}

.is-clickable {
  cursor: pointer;

  svg {
    width: 16px;
    fill: $grey-dark-color;
    transform: rotate(-90deg);
  }

  .is-open svg {
    transform: rotate(0deg);
  }
}

.requestable-services-content {
  max-height: 430px;
  overflow-y: auto;

  .columns {
    align-items: center;
    padding: 0.5rem;

    &:not(:last-of-type) {
      border-bottom: 1px solid $grey-background-color;
    }
  }

  .columns.service-details {
    padding-top: 0;
  }

  .services-columns {
    border: none;
    padding: 0rem;
  }
}

.requestable-services-wrapper {
  margin: 2rem;
  padding: 2rem 0;
  background: white;
  box-shadow: 0px 6px 12px rgba(129, 128, 128, 0.1);
  border-radius: 8px;

  .is-open {
    background-color: $table-selected-item-color;
  }
}

.requestable-services-header {
  display: none;

  @media screen and (min-width: $tablet) {
    display: flex;
  }
}


.action-button-wrapper {
  display: flex;
  justify-content: flex-end;
  margin: 1rem 2rem 4rem 0;


  &:not(:last-child) {
    margin-bottom: 1rem;
  }

  .button:not(:first-child) {
    margin-left: 1rem;
  }
}
